/* 3D-Druck für Nerds - CAD for Nerds

	03 Boolean Operations
*/


$fn=50; // sets amount steps for "round shapes"

	
	/* OR (a.k.a "union") */
	sideLength=23;
	height=5;
	
	if (0)
	union()
	{
		/* Cube 1 (blue) */
		translate([-sideLength/2, -sideLength/2, 0])
		color("blue", a=1.0)
			cube([sideLength, sideLength, height]);
			
		/* Cube 2 (green) */
		translate([-sideLength/2, -sideLength/2, height])
		color("green", a=1.0)
			cube([sideLength, sideLength, height]);
	} // union of two cubes
	
// -------------------------------------------------------------	
	
	/* AND (a.k.a. "intersection") */
	if (0)
	intersection()
	{
		/* Cube (blue) */
		if (1)
		translate([-sideLength/2, -sideLength/2, 0])
		color("blue", a=1.0)
			cube([sideLength, sideLength, height*2]);
			
		/* Sphere (green) */
		if (1) // set to 1 see effect
		translate([0, 0, sideLength/2])
		color("green", a=1.0)
			sphere(d=sideLength);
	} // intersection of two objects

// -------------------------------------------------------------	

	/* - NAND? (a.k.a. difference) */
	if (1)
	difference()
	{
		/* Cube (blue) */
		if (1)
		translate([-sideLength/2, -sideLength/2, 0])
		color("blue", a=1.0)
			cube([sideLength, sideLength, height*2]);
			
		/* Sphere (green) */
		if (1) // set to 1 see effect
		translate([0, 0, sideLength/2])
		color("green", a=1.0)
			sphere(d=sideLength);
	} // diference of two objects

// -------------------------------------------------------------	







