
/* 3D-Druck für Nerds - CAD for Nerds
	30 Demo 3 - Dice
*/

/* Globals */
$fn=50; // sets amount steps for "round shapes"
gMaterialThickness=3.0;
gFontSize=12;
gFontSpacing=1.1;
gDiameter=75;

/* Modules */
use <_Modules/Write/Write.scad>;

difference()
{
	s=23;
	d=36;
		
	intersection()
	{
		//translate([0, 0, s/2])
		cube([s, s, s], center=true);
		
		//#translate([0, 0, d/2])
		sphere(d=d); // type "#" in front to see how it works!
	}
	
//	t=["1","2","3","4","5","6"];
//	i=0;
	for (a=[0:90:270])
	{
		color("red", a=1.0)
		rotate([a, 0, 0])
		translate([0, 0, s/2-2])
		cylinder(d=10, h=30);
		/*
		echo("t: " . t[i]);
		!write(t[i], h=gFontSize,font="stencil_TNH.dxf", space=gFontSpacing, t=	gMaterialThickness, center=true);
		i=i+1; */
	}

	for (a=[90, 270])
	{
		color("blue", a=1.0)
		rotate([0, 0, a])
		rotate([90, 0, 0])
		translate([0, 0, s/2-2])
		cylinder(d=10, h=30);
	}
	
	if (0)
	translate([-2, -2, gMaterialThickness/2])
	write("CETIK", h=gFontSize,font="stencil_TNH.dxf", space=gFontSpacing, t=gMaterialThickness, center=true);
	
	if (0)
	translate([-2, -2, gMaterialThickness/2])
	write("CETiK", h=gFontSize,font="orbitron.dxf", space=gFontSpacing, t=gMaterialThickness, center=true);
}